View Issue Details

IDProjectCategoryView StatusLast Update
0000306bareos-core[All Projects] Generalpublic2014-12-01 11:37
ReporterjoergsAssigned To 
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version14.2.0 
Target Version14.2.0Fixed in Version14.2.0 
Summary0000306: bareos-tray-monitor: tray icon should indicate, if it is properly connected to Bareos Director/Filedaemon
Descriptioncurrently, the bareos-tray-monitor always shows the blue Bareos icon (and if a backup is running, the icon blinks).

However, if bareos-tray-monitor is not able to connect to Bareos Director/Filedaemon, this only gets visible, if you click on the icon.

Wish: if bareos-tray-monitor is not working properly, the icon should indicate this.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

There are no notes attached to this issue.

Related Changesets

bareos: master 31929abb

2014-06-23 13:32:20

Oleg Livshyts


Committer: mvwieringen

Ported: N/A

Details Diff
Traymonitor icon show warning icon

When there is a connection problem like
- connection cannot be established
- authentication fails
the icon of the traymonitor is changed to an exclamation mark

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000306
add - src/images/bareos_3.png Diff File
mod - src/qt-tray-monitor/authenticate.cpp Diff File
mod - src/qt-tray-monitor/main.qrc Diff File
mod - src/qt-tray-monitor/mainwindow.cpp Diff File
mod - src/qt-tray-monitor/mainwindow.h Diff File
mod - src/qt-tray-monitor/monitoritem.cpp Diff File
mod - src/qt-tray-monitor/monitoritemthread.cpp Diff File
mod - src/qt-tray-monitor/systemtrayicon.cpp Diff File
mod - src/qt-tray-monitor/systemtrayicon.h Diff File

Issue History

Date Modified Username Field Change
2014-06-03 16:32 joergs New Issue
2014-07-04 21:39 mvwieringen Changeset attached => bareos master 31929abb
2014-07-04 21:39 mvwieringen Status new => resolved
2014-07-04 21:39 mvwieringen Product Version 14.4.0 => 14.2.0
2014-07-04 21:39 mvwieringen Fixed in Version => 14.2.0
2014-07-04 21:39 mvwieringen Target Version => 14.2.0
2014-12-01 11:37 joergs Status resolved => closed
2014-12-01 11:37 joergs Resolution open => fixed